| LicenseSpring C++ SDK 7.32.0 Easily add Software Licensing to your application

Public Member Functions | List of all members
LicenseSpring::CustomField Class Reference

Class for storing key-value data field. More...

`#include <LicenseSpring/CustomField.h>`

## Public Member Functions
| CustomField ()=default
| Default constructor, creates empty data field. More...
| CustomField (const std::string &name, const std::string &value)
| Constructs data field with given name (key) and value. More...
const std::string & | fieldName () const
| Getter method for data field name. More...
void | setFieldName (const std::string &name)
| Setter method for data field name. More...
const std::string & | fieldValue () const
| Getter method for data field value. More...
void | setFieldValue (const std::string &value)
| Setter method for data field value. More...

## Detailed Description

Class for storing key-value data field.

See also
  License::customFields(), to obtain CustomField objects from your license.

Definition at line 17 of file CustomField.h.

## Constructor & Destructor Documentation

## ◆ CustomField() [1/2]

LicenseSpring::CustomField::CustomField | ( |  | ) |
| default

Default constructor, creates empty data field.

## ◆ CustomField() [2/2]

LicenseSpring::CustomField::CustomField | ( | const std::string & | name,
|  | const std::string & | value
| ) |  |
| inline

Constructs data field with given name (key) and value.

Parameters

  name | Name (key) of key-value data field
  value | Value of key-value data field

Definition at line 26 of file CustomField.h.

## Member Function Documentation

## ◆ fieldName()

const std::string& LicenseSpring::CustomField::fieldName | ( |  | ) | const
| inline

Getter method for data field name.

Returns
  CustomField name.

Definition at line 33 of file CustomField.h.

## ◆ setFieldName()

void LicenseSpring::CustomField::setFieldName | ( | const std::string & | name | ) |
| inline

Setter method for data field name.

Parameters

  name | CustomField name

Definition at line 37 of file CustomField.h.

## ◆ fieldValue()

const std::string& LicenseSpring::CustomField::fieldValue | ( |  | ) | const
| inline

Getter method for data field value.

Returns
  CustomField value.

Definition at line 41 of file CustomField.h.

## ◆ setFieldValue()

void LicenseSpring::CustomField::setFieldValue | ( | const std::string & | value | ) |
| inline

Setter method for data field value.

Parameters

  value | CustomField value

Definition at line 45 of file CustomField.h.

The documentation for this class was generated from the following file:

- LicenseSpring/CustomField.h